Package com.destroystokyo.paper.exception

# Class ServerSchedulerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.destroystokyo.paper.exception.ServerException
com.destroystokyo.paper.exception.ServerPluginException
com.destroystokyo.paper.exception.ServerSchedulerException

All Implemented Interfaces:
  `Serializable`

public class ServerSchedulerException extends ServerPluginException
Thrown when a plugin's scheduler fails with an exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ServerSchedulerException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, BukkitTask task)`
``
`ServerSchedulerException(String message, Throwable cause, BukkitTask task)`
``
`ServerSchedulerException(Throwable cause, BukkitTask task)`

## Method Summary

Modifier and Type
Method
Description
`BukkitTask`
`getTask()`
Gets the task which threw the exception

### Methods inherited from class com.destroystokyo.paper.exception.ServerPluginException

`getResponsiblePlugin`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ServerSchedulerException

public ServerSchedulerException(String message, Throwable cause, BukkitTask task)

### ServerSchedulerException

public ServerSchedulerException(Throwable cause, BukkitTask task)

### ServerSchedulerException

protected ServerSchedulerException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace, BukkitTask task)

## Method Details

### getTask

public BukkitTask getTask()
Gets the task which threw the exception

Returns:
  exception throwing task